# Linux pacman příkazy

Pacman je nedílnou součástí Arch Linuxu a distribucí na Arch Linuxu založených. 

V tomto článku se zaměříme na příkazy pacman, co dělají  či k čemu slouží. Příkazy pacman zapisujeme do terminálu či multiplexoru jako například můj oblíbený [Zellij](https://zellij.dev/), [Tmux](https://github.com/tmux/tmux/wiki) či velmi oblíbený u spousty uživatelů [Tilix](https://arch-linux.cz/dlazdicovy-terminal-tilix/).

POZNÁMKA: vždy před příkazem pacman musíme použít sudo. V příkazech níže ho nebudu stále dokola opakavot (v některých případech třeba při použití příkazu su se také nemusí použít, ale mi ho použijeme!). Tak například u příkazu **pacman -Syu** do terminálu zapíšeme **sudo pacman -Syu**.
  
Vždy kdy si nebudete vědět použíjte za příkazem -h, například **pacman -h** a zobrazí se vám nápověda v češtině.

## Package Installation, Update, Remove
### Instalace balíčku, povíšení balíčku a odebrání balíčků

```
pacman -S <název balíčků>  # nainstaluje balíček a další potředné soubory
pacman -U /path/to/package.pkg.tar.zst # nainstaluje balíček lokálně uložený ve vašem pc
pacman -Syu # vyhledá a aktualizuje všechny vaše balíčky které mají novější verzi
pacman -Syu --ignore <název balíčků> # vyhledá a aktualizuje všechny balíčky mimo těch co jsou uvedeny za --ignore
pacman -S <název balíčku>=<verze balíčku> # nainstaluje balíček podle názvu a verze kterou potřebujete
pacman -R <název balíčků> # odebere balíček bez dalších potřebných balíčků které se sním nainstalovali
pacman -Rs <název balíčků> # odebere balíček i s dalšími který se snim nainstalovali pokud nejsou potřeba pro jiný nainstalovaný balíček
pacman -Rns $(pacman-Qdtq) # odstrání nepotřebné součásti nainstalovaných balíčků
pacman -Rdd <název balíčků> # odebere komplet balíček bez dalších potřebných balíčků
pacman -Sc # odebere staré verze balíčků i staré verze balíčků v cache
pacman -Scc # Odstraní všechny balíčky z cache, které nejsou aktuálně nainstalovány.
```
## Package Search
### Vyhledávání balíčků

```
pacman -Sy # stahuje aktualizované seznamy balíčků z každého konfigurovaného repozitáře
pacman -Ss <název hledaného balíčku> # zobrazí všechny shody hledaného balíčku v repozitářích
pacman -Qs <název balíčků> # vyhledá všechny balíčky co se shodují s názvem které máte nainstalované, může se hodit pojud některé balíčky používáte ve více verzích
pacman -F <název balíčků> # zobrazí všechny verze balíčku v repozitářích tak i co máte nainstalované
```

## Package Information Query
### Informace o balíčkách

```
pacman -Q # vypíše všechny názvy nainstalovaných balíčků a jejich verzi
pacman -Ql <název balíčků> # vypíše všechny součásti na instalovaného balíčku a cestu k nim
pacman -Qo /cesta/k souboru/ # Po spuštění tohoto příkazu Pacman prohledá databázi nainstalovaných balíčků a vrátí informaci o tom, kterému balíčků patří zadaný soubor
pacman -Qe # výstup tohoto příkazu bude seznam názvů balíčků, které jste explicitně nainstalovali.
pacman -Si <název balíčků> # zobrazí detailní informace o balíčků, jako verzi, velikost, závislosti atd.
pacman -Qi <název balíčků> # zobrazí detailní informace o balíčků, jako verzi, velikost, závislosti atd u nainstalovaného balíčků. Navíc zobrazí informace o instalaci balíčků jako kdy byl instalován
pacman -Qdt # výstup tohoto příkazu bude seznam názvů balíčků, které jsou označeny jako orphaned. Tento seznam může být užitečný při čištění systému od nepotřebných balíčků a uvolnění místa na disku.
```

